Package org.apache.synapse.transport.passthru.core

# Class MultiListenerServerIODispatch

java.lang.Object
org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>
org.apache.synapse.transport.passthru.ServerIODispatch
org.apache.synapse.transport.passthru.core.MultiListenerServerIODispatch

All Implemented Interfaces:
  `org.apache.http.nio.reactor.IOEventDispatch`

Direct Known Subclasses:
  `MultiListenerSSLServerIODispatch`

public class MultiListenerServerIODispatch extends ServerIODispatch
Class Responsible for dispatch IOEvents to mapping EventHandler according to InboundEndpoint port

- ## Field Summary

  ### Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch

  `CONNECTION_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiListenerServerIODispatch(Map<Integer,org.apache.http.nio.NHttpServerEventHandler> handlers, org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler, ServerConnFactory connFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `onClosed(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)`
  `protected void`
  `onConnected(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)`
  `protected void`
  `onException(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection, IOException e)`
  `protected void`
  `onInputReady(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)`
  `protected void`
  `onOutputReady(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)`
  `protected void`
  `onTimeout(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)`

  ### Methods inherited from class org.apache.synapse.transport.passthru.ServerIODispatch

  `createConnection, update`

  ### Methods inherited from class org.apache.http.impl.nio.reactor.AbstractIODispatch

  `connected, disconnected, inputReady, outputReady, timeout`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiListenerServerIODispatch

    public MultiListenerServerIODispatch(Map<Integer,org.apache.http.nio.NHttpServerEventHandler> handlers, org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler, ServerConnFactory connFactory)

- ## Method Details

  - ### onConnected

    protected void onConnected(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)
    Overrides:
      `onConnected` in class `ServerIODispatch`

  - ### onClosed

    protected void onClosed(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)
    Overrides:
      `onClosed` in class `ServerIODispatch`

  - ### onException

    protected void onException(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection, IOException e)
    Overrides:
      `onException` in class `ServerIODispatch`

  - ### onInputReady

    protected void onInputReady(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)
    Overrides:
      `onInputReady` in class `ServerIODispatch`

  - ### onOutputReady

    protected void onOutputReady(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)
    Overrides:
      `onOutputReady` in class `ServerIODispatch`

  - ### onTimeout

    protected void onTimeout(org.apache.http.impl.nio.DefaultNHttpServerConnection defaultNHttpServerConnection)
    Overrides:
      `onTimeout` in class `ServerIODispatch`